HtmlDndParam (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlDndParam class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDndParam

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDndParam
                  org.richfaces.component.html.HtmlDndParam

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlDndParam

extends UIDndParam

Component-Type org.richfaces.DndParam Component-Family org.richfaces.DndParam A component is used for parameters transmission in Drag and Drop operations. It's also used for dragIndicator elements definition with transmitting some values for rendering in it.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlDndParam()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.String` | `getName()` A name of this parameter Getter for name
`java.lang.String` | `getType()` This attribute defines parameter functionality.
`java.lang.Object` | `getValue()` The current value for this component Getter for value
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setName(java.lang.String __name)` A name of this parameter Setter for name
`void` | `setType(java.lang.String __type)` This attribute defines parameter functionality.
`void` | `setValue(java.lang.Object __value)` The current value for this component Setter for value

Methods inherited from class org.richfaces.component.UIDndParam
`getRendersChildren`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlDndParam

    public HtmlDndParam()

  Constructor to init default renderers

Method Detail

### setValue

    public void setValue(java.lang.Object __value)

  The current value for this component Setter for value

  Specified by:
    `setValue` in class `UIDndParam`
  Parameters:
    `value` - - new value

### getValue

    public java.lang.Object getValue()

  The current value for this component Getter for value

  Specified by:
    `getValue` in class `UIDndParam`
  Returns:
    value value from local variable or value bindings

### setType

    public void setType(java.lang.String __type)

  This attribute defines parameter functionality. Possible values are "drag", "drop" and "default" Setter for type

  Specified by:
    `setType` in class `UIDndParam`
  Parameters:
    `type` - - new value

### getType

    public java.lang.String getType()

  This attribute defines parameter functionality. Possible values are "drag", "drop" and "default" Getter for type

  Specified by:
    `getType` in class `UIDndParam`
  Returns:
    type value from local variable or value bindings

### setName

    public void setName(java.lang.String __name)

  A name of this parameter Setter for name

  Specified by:
    `setName` in class `UIDndParam`
  Parameters:
    `name` - - new value

### getName

    public java.lang.String getName()

  A name of this parameter Getter for name

  Specified by:
    `getName` in class `UIDndParam`
  Returns:
    name value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.